Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::MethodSlot0< T, R > Class Template Reference

A slot template for methods in a class of type T taking no arguments and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::MethodSlot0< T, R >:

List of all members.

## Public Member Functions

- MethodSlot0 (T *object, PMF function)
    Construct a new method slot for a class member function.
- virtual R call () const
    Calls the class method connected to this slot.

## Detailed Description

### template<typename T, typename R>
class Inti::MethodSlot0< T, R >

A slot template for methods in a class of type T taking no arguments and returning a value of type R.

## Constructor & Destructor Documentation

template<typename T, typename R>
Inti::MethodSlot0< T, R >::MethodSlot0 | ( | T * | object,
|  | PMF | function
| ) | `[inline]`

  | Construct a new method slot for a class member function. Parameters:
  object | A pointer to an object of type T.
  function | A class method with the signature R (T::*PMF)().

## Member Function Documentation

template<typename T, typename R>
virtual R Inti::MethodSlot0< T, R >::call | ( |  | ) | const`[inline, virtual]`

| Calls the class method connected to this slot. Returns: A value of type R returned by the called method. Implements Inti::Slot0< R >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer